package com.atlassian.bitbucket.mesh.git.builder.version;

import com.atlassian.bitbucket.mesh.git.builder.AbstractGitProcessBuilder;
import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilder;

import javax.annotation.Nonnull;

public class DefaultGitVersionBuilder
        extends AbstractGitProcessBuilder<DefaultGitVersionBuilder>
        implements GitVersionBuilder {

    public DefaultGitVersionBuilder(GitProcessBuilder builder) {
        super(builder.command("version"));
    }

    @Override
    protected void applyArguments() {
    }

    @Nonnull
    @Override
    protected DefaultGitVersionBuilder self() {
        return this;
    }
}
